<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      autoReload="true"
      throwExceptions="true"
      internalLogLevel="Off" internalLogFile="c:\temp\nlog-internal.log">

  <variable name="logDirectory" value="${basedir}/logs"/>

  <targets>
    <target xsi:type="AsyncWrapper" name="asyncFile" overflowAction="Discard">
      <target xsi:type="File" name="fileAsync"
              fileName="${logDirectory}/${shortdate}.log"
              layout="${date:format=yyyy-MM-dd HH\:mm\:ss} ${message}"
              archiveFileName="${logDirectory}/archive/${shortdate}_{#}.log"
              archiveNumbering="Sequence"
              archiveEvery="Day"
              maxArchiveFiles="7"
              concurrentWrites="true"
              keepFileOpen="false" />
    </target>

    </targets>

  <rules>
    <logger name="*" minlevel="Trace" writeTo="asyncFile" />

    </rules>
</nlog>
